Page MenuHomePhabricator

Enable Collection extension at Nepali Wikipedia (newiki)
Closed, ResolvedPublic

Description

Description:
Hi! Like all other wiki projects we don't have PDF creator in Nepali wiki.This is also an Important facility to save webpage in pdf format.Our community also wanted to have this Feature in our project.Link of the community consensus is as -(https://ne.wikipedia.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A4%BF%E0%A4%AA%E0%A5%80%E0%A4%A1%E0%A4%BF%E0%A4%AF%E0%A4%BE:%E0%A4%9A%E0%A5%8C%E0%A4%A4%E0%A4%BE%E0%A4%B0%E0%A5%80_(%E0%A4%AA%E0%A5%8D%E0%A4%B0%E0%A4%BE%E0%A4%B5%E0%A4%BF%E0%A4%A7%E0%A4%BF%E0%A4%95)#PDF_Creator_in_Left_Sidebar). We hope for this assistance from your team.Thank you

With Regards
Biplab Anand
(admin Nepali wiki)
User: बिप्लब आनन्द

Event Timeline

biplabanand assigned this task to RobH.
biplabanand raised the priority of this task from to Normal.
biplabanand updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 4:13 PM
tomasz removed RobH as the assignee of this task.EditedFeb 26 2015, 4:37 PM
tomasz removed a project: Shell.
tomasz set Security to None.
tomasz added a subscriber: tomasz.

Can someone comment on what exactly needs to be done here?

I'm not really sure what is meant by "PDF creator", so I can't tell whether this an extension setup, a configuration change, or just a matter of adding a link to MediaWiki:Sidebar.

I believe this is about enabling Collection extension (specifically OCG). There is a task about enabling it at all wikis by default and disabling where it would not work. I don't think there have been progress on it for some time now. If it cannot be done in the near future, we could enable it at Nepali Wikipedia specifically.

There is a task about enabling it at all wikis by default and disabling where it would not work.

This is T73416: Enable Collection by default on most sites

Can someone comment on what exactly needs to be done here?
I'm not really sure what is meant by "PDF creator", so I can't tell whether this an extension setup, a configuration change, or just a matter of adding a link to MediaWiki:Sidebar.

Enable Collection Extension ....it is working on Hindi wikipedia which is using the same script Devnagari. By this feature we are able to download nepali articles in PDF format.Thanks

Glaisher renamed this task from Add PDF Creator in Left Sidebar in Nepali Wikipedia to Enable Collection extension at Nepali Wikipedia (newiki).Feb 27 2015, 5:51 PM

Change 165490 had a related patch set uploaded (by Nemo bis):
Enable Collection by default on all wikis

https://gerrit.wikimedia.org/r/165490

Change 165490 merged by jenkins-bot:
Enable Collection by default on all wikis

https://gerrit.wikimedia.org/r/165490

demon closed this task as Resolved.Mar 2 2015, 7:20 PM
demon claimed this task.

It is not supporting our fonts set. Our words are not looking correct in pdf format.for example टिमका is looking like टमिका. can you please check this (bug). it will clear you the exact problem. Thanks

It is not supporting our fonts set. Our words are not looking correct in pdf format.for example टिमका is looking like टमिका. can you please check this (bug). it will clear you the exact problem.

Could you please create a followup task in Phabricator, specifically about installing/using proper fonts? Bonus points for identifying and proposing a free (as in "free license", not as in "don't need to pay for it") font that is "better". Thanks!

Could you please create a followup task

@biplabanand: Have you done so? What is its number?

Hi @Aklapper here it is : T92817

Thanks,
Saroj